import matplotlib.pyplot as plt
import math

##### 10.5 Ghost Solutions - Ghost #####

h = 0.05
u = 0.5
v = u + h * u * (1.0 - u)
t0 = 0.0
tb_tab = []
te_tab = []
m_tab = []
n_tab = []

for i in range(600):
  ul = u
  vl = v
  u = vl + 2.0 * h * ul * (1.0 - ul)
  v = ul
  tb = math.floor(20.0 * t0 + 10.0)
  tb_tab.append(tb)
  m = math.floor(300.0 - 150.0 * ul)
  m_tab.append(m)
  te = math.floor(20.0 * (t0 + h) + 10.0)
  te_tab.append(te)
  n = math.floor(300.0 - 150.0 * u)
  n_tab.append(n)
  t0 += h

plt.plot(tb_tab, m_tab, label="1")
plt.plot(te_tab, n_tab, label="2")
plt.legend()
plt.show()