import matplotlib.pyplot as plt
import math

##### 10.10 Invisible Chaos #####

u = 0.9
v = 0.75
T = 3000
mx_tab = []
ny_tab = []
for t in range(T):
  ul = u
  vl = v
  u = -vl + 2.0 * ul - ul * ul * ul
  v = ul
  mx = math.floor(100 * u + 300 + 0.5)
  mx_tab.append(mx)
  ny = math.floor(100 * v + 220 + 0.5)
  ny_tab.append(ny)

plt.plot(mx_tab, ny_tab)
plt.show()
