import matplotlib.pyplot as plt
import math

t = 0.005
T = 10000      
x = 0.05 
y = 0.01 
mu = 5.0  
mx1_tab = []
ny1_tab = []
mx_tab = []
ny_tab = []
for i in range(T):
    x1 = x
    y1 = y
    x = x1 + t * y1
    y = y1 * math.exp(-t * mu * (x * x - 1.0)) - t * x
    mx = math.floor(40 * x + 250 + 0.5)
    mx_tab.append(mx)
    ny = math.floor(40 * y + 250 + 0.5)
    ny_tab.append(ny)
    mx1 = math.floor(40 * x1 + 250 + 0.5)
    mx1_tab.append(mx1)
    ny1 = math.floor(40 * y1 + 250 + 0.5)
    ny1_tab.append(ny1)

plt.plot(mx1_tab, ny1_tab)
plt.plot(mx_tab, ny_tab)
plt.show()



