// firstintegral.cpp

#include <iostream>
#include "msymbol.h"
using namespace std;

int main(void)
{
Sum<double> f("f",0), u1("u1",0), u2("u2",0), t("t",0), r("r",0);
f.depend(u1);
f.depend(u2);
u1.depend(t);
u2.depend(t);
f = ln(u1) + ln(u2) - u1 - u2;
r = df(f,t);
cout << "r = " << r << endl;
r.put(df(u1,t),u1-u1*u2);
r.put(df(u2,t),-u2+u1*u2);
cout << "r = " << r << endl;
r.expand();
cout << "r = " << r;
return 0;
}
