import matplotlib.pyplot as plt

####### 10.2 Euler Method #######

def f(u):
  return u*(1.0 - u)

h = 0.005 # step length
u = 0.1 # initial value
ul = 0.0
t = 0.0
m_tab = []
n_tab = []
p_tab = []
q_tab = []
for i in range(2000):
  ul = u;
  m = (int)(40.0*t+10.0+0.5) 
  m_tab.append(m)
  n = (int)(200.0-50.0*ul+0.5)
  n_tab.append(n)
  u = ul + h*f(ul)
  p = (int) (40.0*(t+h)+10+0.5) 
  p_tab.append(p)
  q = (int)(200.0-50.0*u+0.5)
  q_tab.append(q)
  t += h

plt.plot(m_tab, n_tab, label="1")
plt.plot(p_tab, q_tab, label="2")
plt.legend()
plt.show()