import matplotlib.pyplot as plt
import math


t = 0.001
steps = 20000
q = 1.0 
p = 1.75
mx1_tab = []
ny1_tab = []
mx_tab = []
ny_tab = []


for i in range(steps):
    q1 = q
    p1 = p
    q = q1 + t * p1
    p = p1 - t * math.sin(q)
    mx1 = math.floor(40 * q1 + 250 + 0.5)
    mx1_tab.append(mx1)
    ny1 = math.floor(40 * p1 + 350 + 0.5)
    ny1_tab.append(ny1)    
    mx = math.floor(40 * q + 250 + 0.5)
    mx_tab.append(mx)
    ny = math.floor(40 * p + 350 + 0.5)
    ny_tab.append(ny)

plt.plot(mx1_tab, ny1_tab)
plt.plot(mx_tab, ny_tab)
plt.show()



